%define anolis_release 1

%global srcname Automat
%global libname automat

%global common_description %{expand:
Automat is a library for concise, idiomatic Python expression of finite-state
automata (particularly deterministic finite-state transducers).}

Name:           python-%{libname}
Version:        22.10.0
Release:        %{anolis_release}%{?dist}
Summary:        Self-service finite-state machines for the programmer on the go

License:        MIT
URL:            https://github.com/glyph/automat
Source0:        %pypi_source

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(sphinx-rtd-theme)

%description %{common_description}

%package -n     python3-%{libname}
Summary:        %{summary}

%description -n python3-%{libname} %{common_description}

%package -n python3-%{libname}-doc
Summary:        Automat documentation

%description -n python3-%{libname}-doc
Documentation for Automat

%prep
%autosetup  -p1 -n %{srcname}-%{version}

# Backport of https://github.com/glyph/automat/commit/2bf0abddd9b532ef9dd90707a10a09ce48c24f3d
sed -i "s/py\.test/pytest/g" tox.ini

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

PYTHONPATH=%{pyproject_build_lib}  sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{libname}

%check
%tox

%files -n python3-%{libname} -f %{pyproject_files}
%license LICENSE
%{_bindir}/automat-visualize

%files -n python3-%{libname}-doc
%doc html

%changelog
* Sat May 06 2023 Funda Wang <fundawang@yeah.net> - 22.10.0-1
- Import package for anolis 23
